<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Mock;

use Inti\Provider\Type\TypeInterface;
use Inti\Wp\Provider\Metadata\AbstractMetadataProvider;
use Inti\Wp\Provider\Type\Term\Category;

/**
 * Class TermMetadataProvider
 *
 * @package IntiTest\Wp\Provider\Mock
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
class TermMetadataProvider extends AbstractMetadataProvider
{
    use MetadataProviderTrait;

    public function __construct()
    {
        $this->initMetadata('term', 8, 2);
    }

    public function getProvidedType(): TypeInterface
    {
        return Category::instance();
    }
}
