<?php
declare(strict_types=1);

namespace IntiTest\Wp\Provider\Type\Post;

use Inti\Wp\Provider\Type\Post\Post;
use IntiTest\Wp\Provider\AbstractTestCase;

final class PostTest extends AbstractTestCase
{
    public function testCanGetBuiltinPostTypeData()
    {
        $post = Post::instance();
        $this->assertInstanceOf(Post::class, $post);
        $this->assertEquals('Posts', $post->getLabel());
    }
}
