<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Type\Term;

use Inti\Wp\Provider\Type\WpTypeInterface;

/**
 * Interface TaxonomyInterface
 *
 * @package Inti\Wp\Provider\Type\Term
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
interface TaxonomyInterface extends WpTypeInterface
{
    public function getAssociatedType(): WpTypeInterface;
    public function getParentTaxonomy(): TaxonomyInterface;
    public function showAdminColumn(): bool;
    public function showInQuickEdit(): ?bool;
    public function showTagCloud(): ?bool;
}
